# Enum AuthFlow

java.lang.Object
java.lang.Enum<AuthFlow>
com.databricks.jdbc.common.AuthFlow

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthFlow>`, `java.lang.constant.Constable`

public enum AuthFlow extends Enum<AuthFlow>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AZURE_MANAGED_IDENTITIES`
`BROWSER_BASED_AUTHENTICATION`
`CLIENT_CREDENTIALS`
`TOKEN_PASSTHROUGH`

## Method Summary

Modifier and Type
Method
Description
`static AuthFlow`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthFlow[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOKEN_PASSTHROUGH

public static final AuthFlow TOKEN_PASSTHROUGH

### CLIENT_CREDENTIALS

public static final AuthFlow CLIENT_CREDENTIALS

### BROWSER_BASED_AUTHENTICATION

public static final AuthFlow BROWSER_BASED_AUTHENTICATION

### AZURE_MANAGED_IDENTITIES

public static final AuthFlow AZURE_MANAGED_IDENTITIES

## Method Details

### values

public static AuthFlow[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthFlow valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null